Bug 881131 - Creating a new jBPM3 project does not open the jBPM perspective
Summary: Creating a new jBPM3 project does not open the jBPM perspective
Status: NEW
Alias: None
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: Tooling   
(Show other bugs)
Version: 5.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Default User
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-28 17:28 UTC by Len DiMaggio
Modified: 2015-08-04 22:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When creating a new jBPM3 project, JBDS should provide the option to go into the jBPM jPDL perspective to be consistent with the behavior when creating other types of projects. Currently, when creating a new jBPM3 project, all that happens is that the project is created.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBIDE-12345 Minor Closed Creating a new jBPM3 project does not open the jBPM perspective 2013-07-15 13:42:18 UTC

Description Len DiMaggio 2012-11-28 17:28:46 UTC
Description of problem:

https://issues.jboss.org/browse/JBIDE-12345
Creating a new jBPM3 project does not open the jBPM perspective

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 JBoss JIRA Server 2013-04-17 17:48:28 UTC
Koen Aers <koen.aers@jboss.com> made a comment on jira JBIDE-12345

Hey Len, despite the fact that I'm not working on jBPM anymore for more than two years I believe I am still the owner of this module. So I understand that it is not solved yet? Is there a deadline for this to be fixed?

Comment 2 JBoss JIRA Server 2013-04-17 17:53:07 UTC
Len DiMaggio <ldimaggi@redhat.com> made a comment on jira JBIDE-12345

No deadline that I know of - is it a difficult fix?

Comment 3 JBoss JIRA Server 2013-04-17 17:56:07 UTC
Koen Aers <koen.aers@jboss.com> made a comment on jira JBIDE-12345

Not at all.

Comment 4 JBoss JIRA Server 2013-04-17 17:58:21 UTC
Koen Aers <koen.aers@jboss.com> made a comment on jira JBIDE-12345

I've assigned it to myself and scheduled it for 4.1.0.Beta1. Is that ok?

Comment 5 JBoss JIRA Server 2013-04-17 19:32:35 UTC
Paul Leacu <pleacu@redhat.com> made a comment on jira JBIDE-12345

Thanks for jumping in Koen.  I'd say fix it as soon as you can and we'll see if it fits with the Alpha schedule or Beta.

Comment 6 JBoss JIRA Server 2013-05-02 14:15:08 UTC
Koen Aers <koen.aers@jboss.com> updated the status of jira JBIDE-12345 to Resolved

Comment 7 JBoss JIRA Server 2013-05-02 14:15:08 UTC
Koen Aers <koen.aers@jboss.com> made a comment on jira JBIDE-12345

commit: 81a320004a614e7a162a237a9fe4534d10c051c8

Comment 8 JBoss JIRA Server 2013-05-02 14:55:43 UTC
Paul Leacu <pleacu@redhat.com> made a comment on jira JBIDE-12345

Cool - looks like a 4.1.0 Beta candidate for sure.  Please update:

https://issues.jboss.org/browse/JBTIS-74

when you update the jBPM3 site.

Comment 9 JBoss JIRA Server 2013-05-02 15:07:28 UTC
Koen Aers <koen.aers@jboss.com> made a comment on jira JBIDE-12345

AFAIK this is automated isn't it?

Comment 10 JBoss JIRA Server 2013-05-02 15:18:49 UTC
Paul Leacu <pleacu@redhat.com> made a comment on jira JBIDE-12345

Don't know - but this will have to be updated in the JBTIS composites:

    <!-- JBPM -->
    <child location="http://download.jboss.org/jbosstools/builds/staging/jbosstools-4.0_trunk.component--jbpm/all/repo/"/>

Comment 11 JBoss JIRA Server 2013-05-02 16:40:11 UTC
Koen Aers <koen.aers@jboss.com> made a comment on jira JBIDE-12345

AFAIK this is supposed to be picked up automatically by Jenkins. I'll check it tomorrow.

Comment 12 JBoss JIRA Server 2013-07-15 13:42:22 UTC
Andrej Podhradsky <apodhrad@redhat.com> updated the status of jira JBIDE-12345 to Closed

Comment 13 JBoss JIRA Server 2013-07-15 13:42:22 UTC
Andrej Podhradsky <apodhrad@redhat.com> made a comment on jira JBIDE-12345

Verified with JBTIS 4.1.0, in particular jBPM3 of version 4.5.200.Alpha2-v20130619-1852-B199


Note You need to log in before you can comment on or make changes to this bug.